Name:           kcometen3
Version:        1.1
Release:        4%{?dist}.1
Summary:        An OpenGL screensaver for KDE

Group:          Amusements/Graphics
License:        GPL
URL:            http://user.cs.tu-berlin.de/~pmueller/
Source0:        http://user.cs.tu-berlin.de/~pmueller/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
BuildRequires:  kdelibs-devel
BuildRequires:  libGL-devel libGLU-devel

Requires: 	kdebase

%description
An OpenGL screensaver for KDE.


%prep
%setup -q
# Permission cleanups for debug rpm
chmod -x src/*.h src/*.cpp

%build
%configure --disable-rpath
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/kcometen3.kss
%{_datadir}/applnk/System/ScreenSavers/kcometen3.desktop
%{_datadir}/apps/kcometen3
%doc AUTHORS COPYING


%changelog
* Mon Dec 25 2006 Rex Dieter <rdieter@fedoraproject.org> 1.4-4.1
- -Req: xscreensaver (huh?)
- -BR: libICE-devel libpng-devel
- +Req: kdebase

* Thu Nov 09 2006 Ian Chapman <packages@amiga-hardware.com> 1.1-4%{?dist}
- Removed a few BRs which are imported by other BRs anyway

* Mon Nov 06 2006 Ian Chapman <packages@amiga-hardware.com> 1.1-3%{?dist}
- Potential migration to FE

* Sat Jun 03 2006 Ian Chapman <packages@amiga-hardware.com> 1.1-2%{?dist}
- Changed URL and source URL not to use a mirror
- Replaced xorg-x11-devel buildrequire with libGLU-devel for compatibility with
  both modular and non modular X

* Tue May 02 2006 Ian Chapman <packages@amiga-hardware.com> 1.1-1.iss
- Initial Release
